View Issue Details

IDProjectCategoryView StatusLast Update
0019145LazarusLCLpublic2011-04-30 11:38
ReporterReinhard BergerAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.30.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0019145: after item selection in listview, items became de-selected when using popup menu (GTK2)
DescriptionWhen i select all items in a listview with a button they became selected correctly.

If i do the same wihtin a popup menu the became de-selected again.

This only affects GTK2.

QT+WIN32 working.

TagsNo tags attached.
Fixed in Revisionr30478
LazTarget-
WidgetsetGTK 2
Attached Files
  • Listview-popup.zip (549,061 bytes)
  • list_popup.diff (486 bytes)
    Index: lcl/interfaces/gtk2/gtk2callback.inc
    ===================================================================
    --- lcl/interfaces/gtk2/gtk2callback.inc	(revisiĆ³n: 30424)
    +++ lcl/interfaces/gtk2/gtk2callback.inc	(copia de trabajo)
    @@ -1586,6 +1586,7 @@
             FillChar(Mess,SizeOf(Mess),0);
             Mess.msg := LM_SelChange;
             DeliverMessage(TWinControl(Data), Mess);
    +        g_signal_stop_emission_by_name(PGTKObject(Widget), 'button-press-event');
           end;
     
         end;
    
    list_popup.diff (486 bytes)

Relationships

related to 0018966 closedFelipe Monteiro de Carvalho Mouse down event of right click on TTreeView is sent after popup 

Activities

2011-04-11 16:47

 

Listview-popup.zip (549,061 bytes)

August Klein

2011-04-24 04:21

reporter   ~0047724

I think that signal must be stopped after LM_SelChange message. I attach a fix.

2011-04-24 04:21

 

list_popup.diff (486 bytes)
Index: lcl/interfaces/gtk2/gtk2callback.inc
===================================================================
--- lcl/interfaces/gtk2/gtk2callback.inc	(revisiĆ³n: 30424)
+++ lcl/interfaces/gtk2/gtk2callback.inc	(copia de trabajo)
@@ -1586,6 +1586,7 @@
         FillChar(Mess,SizeOf(Mess),0);
         Mess.msg := LM_SelChange;
         DeliverMessage(TWinControl(Data), Mess);
+        g_signal_stop_emission_by_name(PGTKObject(Widget), 'button-press-event');
       end;
 
     end;
list_popup.diff (486 bytes)

Juha Manninen

2011-04-26 10:28

developer   ~0047779

Thanks, the patch works well. Applied.
Please test.

Reinhard Berger

2011-04-30 11:37

reporter   ~0047918

Comfirmed Works now.

Reinhard Berger

2011-04-30 11:38

reporter   ~0047919

Works now.

Issue History

Date Modified Username Field Change
2011-04-11 16:47 Reinhard Berger New Issue
2011-04-11 16:47 Reinhard Berger File Added: Listview-popup.zip
2011-04-11 16:47 Reinhard Berger Widgetset => GTK 2
2011-04-11 16:55 Zeljan Rikalo Relationship added related to 0018966
2011-04-24 04:21 August Klein Note Added: 0047724
2011-04-24 04:21 August Klein File Added: list_popup.diff
2011-04-26 10:27 Juha Manninen Status new => assigned
2011-04-26 10:27 Juha Manninen Assigned To => Juha Manninen
2011-04-26 10:28 Juha Manninen Fixed in Revision => r30478
2011-04-26 10:28 Juha Manninen LazTarget => -
2011-04-26 10:28 Juha Manninen Status assigned => resolved
2011-04-26 10:28 Juha Manninen Resolution open => fixed
2011-04-26 10:28 Juha Manninen Note Added: 0047779
2011-04-30 11:37 Reinhard Berger Note Added: 0047918
2011-04-30 11:38 Reinhard Berger Status resolved => closed
2011-04-30 11:38 Reinhard Berger Note Added: 0047919